<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:55 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TResult (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TResult (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TResult.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../towerwarspp/main/tournament/Tournament.html" title="class in towerwarspp.main.tournament"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../towerwarspp/main/tournament/TSave.html" title="class in towerwarspp.main.tournament"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/main/tournament/TResult.html" target="_top">Frames</a></li>
<li><a href="TResult.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.main.tournament</div>
<h2 title="Class TResult" class="title">Class TResult</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>towerwarspp.main.tournament.TResult</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">TResult</span>
extends java.lang.Object</pre>
<div class="block">Class TResult to provide a statistic about a <a href="../../../towerwarspp/main/tournament/Tournament.html" title="class in towerwarspp.main.tournament"><code>Tournament</code></a>.
 Information are: number of wins, number of wins per <a href="../../../towerwarspp/main/WinType.html" title="enum in towerwarspp.main"><code>WinType</code></a>, average number of moves per win</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>07-04-2017</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Niklas Mueller</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private double[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#avgMoves">avgMoves</a></span></code>
<div class="block">Store average number of moves per game, for both <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#baseDestroyed">baseDestroyed</a></span></code>
<div class="block">Stores number of games which ended with a base destruction, for both <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#BLUE">BLUE</a></span></code>
<div class="block">Constant for array-index usage</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#illegalMove">illegalMove</a></span></code>
<div class="block">Stores number of games which ended with a illegal move, for both <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#noPosMoves">noPosMoves</a></span></code>
<div class="block">Stores number of games which ended with no possible moves, for both <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#RED">RED</a></span></code>
<div class="block">Constant for array-index usage</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#surrender">surrender</a></span></code>
<div class="block">Stores number of games which ended with a surrender, for both <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#swappedPlayers">swappedPlayers</a></span></code>
<div class="block">Shows if the <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s have been swapped, so the <a href="../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game"><code>Result</code></a> will be included correctly</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#timeoutGames">timeoutGames</a></span></code>
<div class="block">Stores number of game which ended with a timeout</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#totalGames">totalGames</a></span></code>
<div class="block">Stores total number of played games</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#totalMoves">totalMoves</a></span></code>
<div class="block">Stores total number of moves in the whole tournament, for both <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#wins">wins</a></span></code>
<div class="block">Stores number of won games, for both <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#TResult--">TResult</a></span>()</code>
<div class="block">Constructor declaring the array and variables</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#addResult-towerwarspp.main.game.Result-">addResult</a></span>(<a href="../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game">Result</a>&nbsp;result)</code>
<div class="block">Method addResult to include a <a href="../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game"><code>Result</code></a> in the statistic</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>(package private) double[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#getAvgMoves--">getAvgMoves</a></span>()</code>
<div class="block">Returns the Value of avgMoves.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>(package private) int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#getBaseDestroyed--">getBaseDestroyed</a></span>()</code>
<div class="block">Returns the Int-Array of destroyed-base-wins.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>(package private) int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#getIllegalMove--">getIllegalMove</a></span>()</code>
<div class="block">Returns the illegalMoves-array.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>(package private) int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#getNoPosMoves--">getNoPosMoves</a></span>()</code>
<div class="block">Returns the noPosMoves-Array.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#getSurrender--">getSurrender</a></span>()</code>
<div class="block">Returns the Value of surrender.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>(package private) int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#getTimeoutGames--">getTimeoutGames</a></span>()</code>
<div class="block">Returns the Value of timeoutGames.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>(package private) int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#getTotalGames--">getTotalGames</a></span>()</code>
<div class="block">Returns the Value of totalGames.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>(package private) int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#getTotalMoves--">getTotalMoves</a></span>()</code>
<div class="block">Returns the Value of totalMoves.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>(package private) int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#getWins--">getWins</a></span>()</code>
<div class="block">Returns the wins.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#setAvgMoves-double:A-">setAvgMoves</a></span>(double[]&nbsp;avgMoves)</code>
<div class="block">Sets the value of avgMoves.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#setBaseDestroyed-int:A-">setBaseDestroyed</a></span>(int[]&nbsp;baseDestroyed)</code>
<div class="block">Sets the int-array of destroyed bases</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#setIllegalMove-int:A-">setIllegalMove</a></span>(int[]&nbsp;illegalMove)</code>
<div class="block">Sets the value of illegalMoves</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#setNoPosMoves-int:A-">setNoPosMoves</a></span>(int[]&nbsp;noPosMoves)</code>
<div class="block">Sets the value of noPosMoves.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#setSurrender-int:A-">setSurrender</a></span>(int[]&nbsp;surrender)</code>
<div class="block">Sets the value of surrender.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#setTimeoutGames-int-">setTimeoutGames</a></span>(int&nbsp;timeoutGames)</code>
<div class="block">Sets the value of timeoutGames.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#setTotalGames-int-">setTotalGames</a></span>(int&nbsp;totalGames)</code>
<div class="block">Sets the value of totalGames.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#setTotalMoves-int:A-">setTotalMoves</a></span>(int[]&nbsp;totalMoves)</code>
<div class="block">Sets the value of totalMoves.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#setWins-int:A-">setWins</a></span>(int[]&nbsp;wins)</code>
<div class="block">Sets the Wins.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/TResult.html#toString--">toString</a></span>()</code>
<div class="block">Overridden method toString returning a string with all information about this <a href="../../../towerwarspp/main/tournament/TResult.html" title="class in towerwarspp.main.tournament"><code>TResult</code></a></div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="RED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RED</h4>
<pre>private final&nbsp;short RED</pre>
<div class="block">Constant for array-index usage</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#towerwarspp.main.tournament.TResult.RED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BLUE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLUE</h4>
<pre>private final&nbsp;short BLUE</pre>
<div class="block">Constant for array-index usage</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#towerwarspp.main.tournament.TResult.BLUE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="swappedPlayers">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>swappedPlayers</h4>
<pre>private&nbsp;boolean swappedPlayers</pre>
<div class="block">Shows if the <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s have been swapped, so the <a href="../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game"><code>Result</code></a> will be included correctly</div>
</li>
</ul>
<a name="wins">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>wins</h4>
<pre>private&nbsp;int[] wins</pre>
<div class="block">Stores number of won games, for both <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s</div>
</li>
</ul>
<a name="baseDestroyed">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>baseDestroyed</h4>
<pre>private&nbsp;int[] baseDestroyed</pre>
<div class="block">Stores number of games which ended with a base destruction, for both <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s</div>
</li>
</ul>
<a name="noPosMoves">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>noPosMoves</h4>
<pre>private&nbsp;int[] noPosMoves</pre>
<div class="block">Stores number of games which ended with no possible moves, for both <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s</div>
</li>
</ul>
<a name="illegalMove">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>illegalMove</h4>
<pre>private&nbsp;int[] illegalMove</pre>
<div class="block">Stores number of games which ended with a illegal move, for both <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s</div>
</li>
</ul>
<a name="surrender">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>surrender</h4>
<pre>private&nbsp;int[] surrender</pre>
<div class="block">Stores number of games which ended with a surrender, for both <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s</div>
</li>
</ul>
<a name="avgMoves">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>avgMoves</h4>
<pre>private&nbsp;double[] avgMoves</pre>
<div class="block">Store average number of moves per game, for both <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s</div>
</li>
</ul>
<a name="totalMoves">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>totalMoves</h4>
<pre>private&nbsp;int[] totalMoves</pre>
<div class="block">Stores total number of moves in the whole tournament, for both <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s</div>
</li>
</ul>
<a name="timeoutGames">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>timeoutGames</h4>
<pre>private&nbsp;int timeoutGames</pre>
<div class="block">Stores number of game which ended with a timeout</div>
</li>
</ul>
<a name="totalGames">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>totalGames</h4>
<pre>private&nbsp;int totalGames</pre>
<div class="block">Stores total number of played games</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TResult--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TResult</h4>
<pre>public&nbsp;TResult()</pre>
<div class="block">Constructor declaring the array and variables</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getWins--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWins</h4>
<pre>int[]&nbsp;getWins()</pre>
<div class="block">Returns the wins.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the wins</dd>
</dl>
</li>
</ul>
<a name="setWins-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWins</h4>
<pre>void&nbsp;setWins(int[]&nbsp;wins)</pre>
<div class="block">Sets the Wins.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>wins</code> - the new value of wins.</dd>
</dl>
</li>
</ul>
<a name="getBaseDestroyed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBaseDestroyed</h4>
<pre>int[]&nbsp;getBaseDestroyed()</pre>
<div class="block">Returns the Int-Array of destroyed-base-wins.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Int-Array of destroyed-base-wins.</dd>
</dl>
</li>
</ul>
<a name="setBaseDestroyed-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBaseDestroyed</h4>
<pre>void&nbsp;setBaseDestroyed(int[]&nbsp;baseDestroyed)</pre>
<div class="block">Sets the int-array of destroyed bases</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>baseDestroyed</code> - the new Value of baseDestroyed</dd>
</dl>
</li>
</ul>
<a name="getNoPosMoves--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNoPosMoves</h4>
<pre>int[]&nbsp;getNoPosMoves()</pre>
<div class="block">Returns the noPosMoves-Array.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the noPosMoves-Array</dd>
</dl>
</li>
</ul>
<a name="setNoPosMoves-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNoPosMoves</h4>
<pre>void&nbsp;setNoPosMoves(int[]&nbsp;noPosMoves)</pre>
<div class="block">Sets the value of noPosMoves.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>noPosMoves</code> - the new value of noPosMoves</dd>
</dl>
</li>
</ul>
<a name="getIllegalMove--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIllegalMove</h4>
<pre>int[]&nbsp;getIllegalMove()</pre>
<div class="block">Returns the illegalMoves-array.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>illiegalMoves</dd>
</dl>
</li>
</ul>
<a name="setIllegalMove-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIllegalMove</h4>
<pre>void&nbsp;setIllegalMove(int[]&nbsp;illegalMove)</pre>
<div class="block">Sets the value of illegalMoves</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>illegalMove</code> - the new value of illegal Moves</dd>
</dl>
</li>
</ul>
<a name="getSurrender--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSurrender</h4>
<pre>public&nbsp;int[]&nbsp;getSurrender()</pre>
<div class="block">Returns the Value of surrender.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Value of surrender</dd>
</dl>
</li>
</ul>
<a name="setSurrender-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSurrender</h4>
<pre>public&nbsp;void&nbsp;setSurrender(int[]&nbsp;surrender)</pre>
<div class="block">Sets the value of surrender.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>surrender</code> - the new value of surrender</dd>
</dl>
</li>
</ul>
<a name="getAvgMoves--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAvgMoves</h4>
<pre>double[]&nbsp;getAvgMoves()</pre>
<div class="block">Returns the Value of avgMoves.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Value of avgMoves</dd>
</dl>
</li>
</ul>
<a name="setAvgMoves-double:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAvgMoves</h4>
<pre>void&nbsp;setAvgMoves(double[]&nbsp;avgMoves)</pre>
<div class="block">Sets the value of avgMoves.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>avgMoves</code> - the new value of avgMoves</dd>
</dl>
</li>
</ul>
<a name="getTotalMoves--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTotalMoves</h4>
<pre>int[]&nbsp;getTotalMoves()</pre>
<div class="block">Returns the Value of totalMoves.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Value of totalMoves</dd>
</dl>
</li>
</ul>
<a name="setTotalMoves-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTotalMoves</h4>
<pre>public&nbsp;void&nbsp;setTotalMoves(int[]&nbsp;totalMoves)</pre>
<div class="block">Sets the value of totalMoves.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>totalMoves</code> - the new value of totalMoves</dd>
</dl>
</li>
</ul>
<a name="getTimeoutGames--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTimeoutGames</h4>
<pre>int&nbsp;getTimeoutGames()</pre>
<div class="block">Returns the Value of timeoutGames.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Value of timeoutGames</dd>
</dl>
</li>
</ul>
<a name="setTimeoutGames-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTimeoutGames</h4>
<pre>void&nbsp;setTimeoutGames(int&nbsp;timeoutGames)</pre>
<div class="block">Sets the value of timeoutGames.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timeoutGames</code> - the new value of timeoutGames</dd>
</dl>
</li>
</ul>
<a name="getTotalGames--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTotalGames</h4>
<pre>int&nbsp;getTotalGames()</pre>
<div class="block">Returns the Value of totalGames.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Value of totalGames</dd>
</dl>
</li>
</ul>
<a name="setTotalGames-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTotalGames</h4>
<pre>void&nbsp;setTotalGames(int&nbsp;totalGames)</pre>
<div class="block">Sets the value of totalGames.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>totalGames</code> - the new value of totalGames</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Overridden method toString returning a string with all information about this <a href="../../../towerwarspp/main/tournament/TResult.html" title="class in towerwarspp.main.tournament"><code>TResult</code></a></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a name="addResult-towerwarspp.main.game.Result-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addResult</h4>
<pre>void&nbsp;addResult(<a href="../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game">Result</a>&nbsp;result)</pre>
<div class="block">Method addResult to include a <a href="../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game"><code>Result</code></a> in the statistic</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>result</code> - <a href="../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game"><code>Result</code></a> information to be added</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TResult.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../towerwarspp/main/tournament/Tournament.html" title="class in towerwarspp.main.tournament"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../towerwarspp/main/tournament/TSave.html" title="class in towerwarspp.main.tournament"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/main/tournament/TResult.html" target="_top">Frames</a></li>
<li><a href="TResult.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
